Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::NormalizeCharMap Class Reference

Holds a map of String input to String output, to be used with `MappingCharFilter`. More...

`#include <NormalizeCharMap.h>`

Inheritance diagram for Lucene::NormalizeCharMap:

## Public Member Functions

| NormalizeCharMap ()
virtual | ~NormalizeCharMap ()
virtual String | getClassName ()
boost::shared_ptr< NormalizeCharMap > | shared_from_this ()
void | add (const String &singleMatch, const String &replacement)
| Records a replacement to be applied to the inputs stream. Whenever singleMatch occurs in the input, it will be replaced with replacement.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

MapCharNormalizeCharMap | submap
String | normStr
int32_t | diff

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Holds a map of String input to String output, to be used with `MappingCharFilter`.

## Constructor & Destructor Documentation

## ◆ NormalizeCharMap()

Lucene::NormalizeCharMap::NormalizeCharMap | ( |  | ) |

## ◆ ~NormalizeCharMap()

virtual Lucene::NormalizeCharMap::~NormalizeCharMap | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::NormalizeCharMap::_getClassName | ( |  | ) |

inline static

## ◆ add()

void Lucene::NormalizeCharMap::add | ( | const String & | singleMatch,
|  | const String & | replacement
| ) |  |

Records a replacement to be applied to the inputs stream. Whenever singleMatch occurs in the input, it will be replaced with replacement.

Parameters

  singleMatch | input String to be replaced
  replacement | output String

## ◆ getClassName()

virtual String Lucene::NormalizeCharMap::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< NormalizeCharMap > Lucene::NormalizeCharMap::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ diff

int32_t Lucene::NormalizeCharMap::diff

## ◆ normStr

String Lucene::NormalizeCharMap::normStr

## ◆ submap

MapCharNormalizeCharMap Lucene::NormalizeCharMap::submap

The documentation for this class was generated from the following file:

- NormalizeCharMap.h

clucene.sourceforge.net